Imports dGen.Library.Enums.QueryEnums.QueryOperatorEnum
Imports dGen.Library.Enums.QueryEnums.CompareEnum
Public Class FactorDbHelper
    Inherits DbHelper(Of Factor,SqlDbType)

#Region "Metodos Generador"
    Public Function GetListFactorByEtapa(ByVal idEtapa as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of Factor)
        Dim QueryObject = CreateQueryObject()
        QueryObject.CreateQuery(foreignLevel)
        QueryObject.Where(_None, _Equals).idEtapa = idEtapa
        Return QueryObject.ExecuteList()
    End Function


#End Region
End Class
